/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-06-2012 04:35:42pm
Filepath: scripts\events and scenarios\Easter 2012\Easter Collection\Rewards\CommemorativeEasterEgg.cs
Lines of code: 34

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class CommemorativeEasterEgg : Item
	{	
		[Constructable]
		public CommemorativeEasterEgg() : base( 18406 )
		{
			Name = "A Commemorative Easter Egg";
			Hue = Utility.RandomList(41, 495, 567, 48, 131, 75, 1001, 1169, 1155, 1164, 1160, 1162, 2210, 1324, 1157, 1364, 1156, 2101, 1281, 1158, 1266, 1150, 1167, 1109, 33, 1420, 1644, 1359, 1166, 1165, 1172, 1168, 1175, 1152, 1161, 1151, 1154, 1153, 1177);
			Weight = 1.0;
			LootType = LootType.Blessed;
		}

		public CommemorativeEasterEgg( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}

